# get_owner_email.pl (/home/majordom/applications)
# Created:      Thu Mar 26 10:10:44 PST 1998
# Last updated: Wed Apr 19 14:10:43 GMT 2000
#
# puts the lowercased email address of all lists in %owner_email
# inputs: names of files containing aliases

sub get_owner_email{
    my($file,$owner,$email_address);
    foreach $file (@_){  # list of files to look at
	open(ALIASES,$file) || die "could not open $file for ALIASES\n";
	while(<ALIASES>){
	    next unless /^owner-([^:]+)/;
	    next if /\-archive/; # don't include owner-...-archive
	    next if /\-outgoing/; # don't include owner-...-outgoing
	    next if /\-request/; # don't include owner-...-request
	    next if /\-approval/; # don't include owner-...-approval
	    chop;
	    ($list,$owner_email)=split(/: */);
	    next if $owner_email=~/^owner-/; # lose digest pass on to listowner
	    $owner_email{$list}=lc $owner_email;
	}
	close(ALIASES); # now we know all the owner aliases; unbomb does it better
    }
    delete $owner_email{'majordom'}; # lose this one as it isn't a list
}
1;
